///////////////////////////////////////////////////////////////////////////////////////////
// Discovery Manual Extracts for Zangle
// v 1.2.0.0
//
///////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////
// Creator
//

#pragma creator Zangle 1.2.0.0

///////////////////////////////////////////////////////////////////////////////////////////
// Date Format
//

#pragma dateformat mm/dd/yy

///////////////////////////////////////////////////////////////////////////////////////////
// Time Format
//

#pragma timeformat HH:NN:SS AA

///////////////////////////////////////////////////////////////////////////////////////////
// Custom Fields 
//
#customcomfield "Phone" "Phone" "phone"
#customschoolfield "LockerLocation" "Locker Loc." "noformat"
#customschoolfield "GradYear" "Grad Year" "noformat"


// Need safeinclude
#pragma minversion 7.2.3


// import the schools configuration
#include Config.txt

///////////////////////////////////////////////////////////////////////////////////////////
// Import Files and Headers
//

// Student Demographics
StdKey	StdLastName	StdFirstName	StdAddress1	StdCity	StdState	StdZip	StdPhone+'-'+PhoneNum	PhoneNum	StdGradeLevel	StdGradYear	xConLastname	xConFirstName	xConRelationship	xConPhone	xCon2LastName	xCon2FirstName	xCon2Relationship	xConPhone	StdCounselorRef	StdBirthDate
#include "Students.txt"
*

// Contacts 1
ConStdRef	xStdLastName	xStdFirstName	xStdAddress1	xStdCity	xStdState	xStdZip	xStdPhone	xPhoneNum	xStdGradeLevel	xStdGradYear	ConLastname	ConFirstName	Relationship	ConPhone	xCon2LastName	xCon2FirstName	xCon2Relationship	xConPhone	xStdCounselorRef	xStdBirthDate	ConRelationship+Relationship	ConKey+Relationship	ConType+'Contact'
#include "Students.txt"
*

// Contacts 2
ConStdRef	xStdLastName	xStdFirstName	xStdAddress1	xStdCity	xStdState	xStdZip	xStdPhone	xPhoneNum	xStdGradeLevel	xStdGradYear	xConLastname	xConFirstName	xConRelationship	xConPhone	ConLastName	ConFirstName	Relationship	ConPhone	xStdCounselorRef	xStdBirthDate	ConRelationship+Relationship	ConKey+Relationship	ConType+'Contact'
#include "Students.txt"
*

// student schedules
StdKey	xRepRef	xPerRef	xRoomNum	xTchRef	Course	xCrsName	Section	StdSecRef+Course+'-'+Section
#include "Schedules.txt"
*

//sections
xStdKey	SecTermRef	SecPerRef	SecRoomNum	SecStaffRef	Course	SecName	Section	SecKey+Course+'-'+Section	SecCrsRef+Course
#include "Schedules.txt"
*

StdKey	StdLocker	StdCombo	StdLockerLocation
#safeinclude "Lockers.txt"
*
